Package be.fgov.ehealth.commons.enc.v2

# Class CipherData

java.lang.Object
be.fgov.ehealth.commons.enc.v2.CipherData

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:23+02:00", comments="JAXB RI v4.0.5") public class CipherData extends Object implements Serializable
Contains the encrypted content type

Java class for CipherDataType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CipherDataType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element ref="{urn:be:fgov:ehealth:commons:enc:v2}CipherValue"/>
             <element ref="{urn:be:fgov:ehealth:commons:enc:v2}CipherReference"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CipherData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CipherReference`
  `getCipherReference()`
  Allows to use SOAP With Attachments for chipered data
  `CipherValue`
  `getCipherValue()`
  Base64binary containing the encrypted message.
  `void`
  `setCipherReference(CipherReference value)`
  Sets the value of the cipherReference property.
  `void`
  `setCipherValue(CipherValue value)`
  Sets the value of the cipherValue property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CipherData

    public CipherData()

- ## Method Details

  - ### getCipherReference

    public CipherReference getCipherReference()
    Allows to use SOAP With Attachments for chipered data
    Returns:
      possible object is `CipherReference`

  - ### setCipherReference

    public void setCipherReference(CipherReference value)
    Sets the value of the cipherReference property.
    Parameters:
      `value` - allowed object is `CipherReference`
    See Also:
      - `getCipherReference()`

  - ### getCipherValue

    public CipherValue getCipherValue()
    Base64binary containing the encrypted message.
    Returns:
      possible object is `CipherValue`

  - ### setCipherValue

    public void setCipherValue(CipherValue value)
    Sets the value of the cipherValue property.
    Parameters:
      `value` - allowed object is `CipherValue`
    See Also:
      - `getCipherValue()`